<?php

date_default_timezone_set('PRC');

require_once __DIR__.'/Patch.php';

$codeDir = __DIR__.'/patch/repair_overlayfs_database';

$code = file_get_contents($codeDir . '/code.php');
$code = str_replace('<?php', '', $code);

$name = '修复升级程序导致的数据库问题';
$desc = '主要用于修复升级程序未兼容overlayfs导致数据库的问题';
// 适用于此版本及以下版本使用
$ver = '999';
// 补丁key
$key = 'smartLEDZ';

$stream = Patch::packPatch($name, $desc, $code, $ver, $key);

$is = file_put_contents($codeDir.'/'.date('Y-m-d').'v'.$ver.'_'.time().rand(1000, 9999).'.b', $stream);
if(!$is) die('补丁生成失败');
die('补丁已生成');
