<?php

// +----------------------------------------
// | overlay文件系统目录分布
// +----------------------------------------
$lowerDir = realpath(__DIR__."/../../smartLEDZ"); // read层·原始文件
$upperDir = realpath(__DIR__."/../../smartLEDZ_Upper"); // write层
$mergedDir = realpath(__DIR__."/../../smartLEDZ_Merged"); // 读写·数据交互层（read层 + write层） - [ 程序运行在此 ]

$app_path = $lowerDir; // 当前运行的项目主目录
$targetDir = $lowerDir; //
if(is_dir($mergedDir)){ // 存在overlay
    $app_path = $mergedDir;
    $targetDir = $mergedDir;
}

$sceneList = sqlite("scenes")->select();
foreach ($sceneList as $sv){
    $groupSet = json_decode($sv["group_set"], true);
    if(count($groupSet) == 0) continue;
    $isUp = false;
    foreach ($groupSet as &$gv){
        if(isset($gv["color_mode"])) continue;
        $isUp = true;
        $gv["color_x"] = 1;
        $gv["color_y"] = 1;
        $gv["color_mode"] = 1;
        $gv["color_fine"] = 0;
    }
    if($isUp) sqlite("scenes")->where(["id"=>$sv["id"]])->update(["group_set"=>json_encode($groupSet)]);
}

$zoneList = sqlite("zones")->where(["days"=>"null"])->select();
foreach ($zoneList as $zv){
    sqlite("zones")->where(["id"=>$zv["id"]])->update(["days"=>""]);
}